# Android

## Requirements

DriveKit is developed with the Kotlin language and is compatible with Android 8.0 (API 26) and later versions.

The [latest](https://docs.drivequant.com/release-notes/changelog/android) DriveKit SDK version is configured with these attributes: &#x20;

| Android SDK version property | API level       |
| ---------------------------- | --------------- |
| minSdkVersion                | 26 (Android 8)  |
| compileSdkVersion            | 36 (Android 16) |
| targetSdkVersion             | 36 (Android 16) |

{% hint style="info" %}
Please ensure that others libraries integrated in your project are compatible with these versions ; for example if you use a library to manage runtime permissions.
{% endhint %}

DriveKit uses the libraries listed below. These are minimal required versions. Check that they are compatible with your app:

| Library                | Version |
| ---------------------- | ------- |
| Kotlin                 | 1.8.22  |
| Java                   | 17      |
| Gson                   | 2.10.1  |
| Volley                 | 1.2.1   |
| Room                   | 2.5.2   |
| Work Manager           | 2.9.0   |
| Play Services Location | 21.3.0  |
| Car App                | 1.7.0   |

{% hint style="warning" %}
DriveKit uses [key-value backup](https://developer.android.com/guide/topics/data/keyvaluebackup). If you use [Auto Backup](https://developer.android.com/guide/topics/data/autobackup), you need to add `android:fullBackupOnly` in your [Manifest](https://developer.android.com/guide/topics/manifest/application-element#fullBackupOnly).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.drivequant.com/get-started-drivekit/android.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
